# listAssessmentAssignments

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/assessments/assignments |

| Field | Value |
|---|---|
| operationId | listAssessmentAssignments |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /assessments/assignments |
| tags | `Assignments` |
| summary | List assessment assignments |
| badges | `{"name":"Owner"}`, `{"name":"Admin"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| status | query | false | string |  |
| individualId | query | false | string:uuid |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | List of assignments | #/components/schemas/AssignmentListResponseDto |
| 400 | Malformed individualId query parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token | #/components/schemas/ApiErrorResponseDto |
| 403 | Insufficient role — owner or admin required | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "Insufficient role privileges",
  "error": "AUTH_INSUFFICIENT_ROLE"
}
```
